<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\TnUebersichtDialog;

class TnUebersichtDialogController extends \Kufer\Web\KuferTools\Basis\Anmeldung\TnUebersichtDialog\TnUebersichtDialogController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TnUebersichtDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TnUebersichtDialogPresenter($pUseCaseResponse);
  }
}